{# Copyright 2020 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

{% extends "groups/manage_group_base.html" %}

{% block content %}
  <div class="card">
    {% include "groups/snippets/manage_group_menu.html" %}

    <div class="card-header">
      <nav-tabs class="card-header-tabs"
                :items="[{id: 'view-overview', param: 'overview', content: '<strong>{% trans %}Overview{% endtrans %}</strong>'},
                         {id: 'view-records', param: 'records', content: '{% trans %}Records{% endtrans %}'},
                         {id: 'view-collections', param: 'collections', content: '{% trans %}Collections{% endtrans %}'},
                         {id: 'view-templates', param: 'templates', content: '{% trans %}Templates{% endtrans %}'},
                         {id: 'view-revisions', param: 'revisions', content: '{% trans %}Revisions{% endtrans %}'}]">
      </nav-tabs>
    </div>
    <div class="card-body">
      <div class="tab-content">
        <div id="view-overview" class="tab-pane">
          {% include "groups/snippets/view_overview.html" %}
        </div>
        <div id="view-records" class="tab-pane">
          {% include "groups/snippets/view_records.html" %}
        </div>
        <div id="view-collections" class="tab-pane">
          {% include "groups/snippets/view_collections.html" %}
        </div>
        <div id="view-templates" class="tab-pane">
          {% include "groups/snippets/view_templates.html" %}
        </div>
        <div id="view-revisions" class="tab-pane">
          {% include "groups/snippets/view_revisions.html" %}
        </div>
      </div>
    </div>
  </div>
{% endblock %}
